| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Functions
videoDummy.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoDummy.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | AR2VideoParamDummyT

## Functions
int | ar2VideoDispOptionDummy (void)
AR2VideoParamDummyT * | ar2VideoOpenDummy (const char *config)
int | ar2VideoCloseDummy (AR2VideoParamDummyT *vid)
int | ar2VideoGetIdDummy (AR2VideoParamDummyT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeDummy (AR2VideoParamDummyT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatDummy (AR2VideoParamDummyT *vid)
AR2VideoBufferT * | ar2VideoGetImageDummy (AR2VideoParamDummyT *vid)
int | ar2VideoCapStartDummy (AR2VideoParamDummyT *vid)
int | ar2VideoCapStopDummy (AR2VideoParamDummyT *vid)
int | ar2VideoGetParamiDummy (AR2VideoParamDummyT *vid, int paramName, int *value)
int | ar2VideoSetParamiDummy (AR2VideoParamDummyT *vid, int paramName, int value)
int | ar2VideoGetParamdDummy (AR2VideoParamDummyT *vid, int paramName, double *value)
int | ar2VideoSetParamdDummy (AR2VideoParamDummyT *vid, int paramName, double value)
int | ar2VideoGetParamsDummy (AR2VideoParamDummyT *vid, const int paramName, char **value)
int | ar2VideoSetParamsDummy (AR2VideoParamDummyT *vid, const int paramName, const char *value)
int | ar2VideoSetBufferSizeDummy (AR2VideoParamDummyT *vid, const int width, const int height)
int | ar2VideoGetBufferSizeDummy (AR2VideoParamDummyT *vid, int *width, int *height)

## Function Documentation

## ◆ ar2VideoCapStartDummy()

int ar2VideoCapStartDummy | ( | AR2VideoParamDummyT * | vid | ) |

## ◆ ar2VideoCapStopDummy()

int ar2VideoCapStopDummy | ( | AR2VideoParamDummyT * | vid | ) |

## ◆ ar2VideoCloseDummy()

int ar2VideoCloseDummy | ( | AR2VideoParamDummyT * | vid | ) |

## ◆ ar2VideoDispOptionDummy()

int ar2VideoDispOptionDummy | ( | void |  | ) |

## ◆ ar2VideoGetBufferSizeDummy()

int ar2VideoGetBufferSizeDummy | ( | AR2VideoParamDummyT * | vid,
|  | int * | width,
|  | int * | height
| ) |  |

## ◆ ar2VideoGetIdDummy()

int ar2VideoGetIdDummy | ( | AR2VideoParamDummyT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageDummy()

AR2VideoBufferT * ar2VideoGetImageDummy | ( | AR2VideoParamDummyT * | vid | ) |

## ◆ ar2VideoGetParamdDummy()

int ar2VideoGetParamdDummy | ( | AR2VideoParamDummyT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiDummy()

int ar2VideoGetParamiDummy | ( | AR2VideoParamDummyT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsDummy()

int ar2VideoGetParamsDummy | ( | AR2VideoParamDummyT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatDummy()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatDummy | ( | AR2VideoParamDummyT * | vid | ) |

## ◆ ar2VideoGetSizeDummy()

int ar2VideoGetSizeDummy | ( | AR2VideoParamDummyT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenDummy()

AR2VideoParamDummyT * ar2VideoOpenDummy | ( | const char * | config | ) |

## ◆ ar2VideoSetBufferSizeDummy()

int ar2VideoSetBufferSizeDummy | ( | AR2VideoParamDummyT * | vid,
|  | const int | width,
|  | const int | height
| ) |  |

## ◆ ar2VideoSetParamdDummy()

int ar2VideoSetParamdDummy | ( | AR2VideoParamDummyT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiDummy()

int ar2VideoSetParamiDummy | ( | AR2VideoParamDummyT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsDummy()

int ar2VideoSetParamsDummy | ( | AR2VideoParamDummyT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |